uk.gov.hmrc.ct.computations.capitalAllowanceAndSBA

# SbaResults

###
Related Doc: package capitalAllowanceAndSBA

#### case class SbaResults(ratePriorTaxYear2020: Option[SbaRate] = None, ratePostTaxYear2020: Option[SbaRate] = None) extends NumberRounding with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, NumberRounding, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SbaResults
2. Serializable
3. Serializable
4. Product
5. Equals
6. NumberRounding
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SbaResults(ratePriorTaxYear2020: Option[SbaRate] = None, ratePostTaxYear2020: Option[SbaRate] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### final def isInstanceOf[T0]: Boolean

   Definition Classes
     Any

10. #### val maybeTotalCodeAfter2020: Int

11. #### val maybeTotalCodeBefore2020: Int

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### val ratePostTaxYear2020: Option[SbaRate]

16. #### val ratePriorTaxYear2020: Option[SbaRate]

17. #### def roundedToInt(value: BigDecimal): Int

    Definition Classes
      NumberRounding

18. #### def roundedToIntHalfDown(value: BigDecimal): Int

    Definition Classes
      NumberRounding

19. #### def roundedToIntHalfUp(value: BigDecimal): Int

    Definition Classes
      NumberRounding

20. #### def roundedTwoDecimalPlaces(value: BigDecimal): BigDecimal

    Definition Classes
      NumberRounding

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### val totalCost: Option[Int]

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NumberRounding

### Inherited from AnyRef

### Inherited from Any

### Ungrouped